<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddAnnouncementReq StructType
 * @subpackage Structs
 */
class AddAnnouncementReq extends APIRequest
{
    /**
     * The announcement
     * @var XAnnouncement
     */
    public $announcement;
    /**
     * Constructor method for AddAnnouncementReq
     * @uses AddAnnouncementReq::setAnnouncement()
     * @param XAnnouncement $announcement
     */
    public function __construct(XAnnouncement $announcement = null)
    {
        $this
            ->setAnnouncement($announcement);
    }
    /**
     * Get announcement value
     * @return XAnnouncement|null
     */
    public function getAnnouncement()
    {
        return $this->announcement;
    }
    /**
     * Set announcement value
     * @param XAnnouncement $announcement
     * @return AddAnnouncementReq
     */
    public function setAnnouncement(XAnnouncement $announcement = null)
    {
        $this->announcement = $announcement;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddAnnouncementReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
